torchaudio.io
=============

.. currentmodule:: torchaudio.io


StreamReader
------------

.. autoclass:: StreamReader
  :members:

StreamReaderSourceStream
------------------------

.. autoclass:: StreamReaderSourceStream
  :members:

StreamReaderSourceAudioStream
-----------------------------

.. autoclass:: StreamReaderSourceAudioStream
  :members:

StreamReaderSourceVideoStream
-----------------------------

.. autoclass:: StreamReaderSourceVideoStream
  :members:

StreamReaderOutputStream
------------------------

.. autoclass:: StreamReaderOutputStream
  :members:


StreamWriter
------------

.. autoclass:: StreamWriter
  :members:
